Overview | Package | Class | Tree | Deprecated | Index | Help
| Compoze Software, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.compoze.domino
Class RequestAssignmentInfo

    java.lang.Object
      com.compoze.domino.AbstractItem
          com.compoze.domino.AbstractDocument
              com.compoze.domino.Memo
                  com.compoze.domino.Task
                      com.compoze.domino.TaskNotice
                          com.compoze.domino.RequestAssignmentInfo

All Implemented Interfaces:
  java.io.Serializable

public class RequestAssignmentInfo
extends TaskNotice
implements java.io.Serializable

This class is a Domino request for more information about a task assignment. Request instances are obtained from the `Documents` class. Methods that access properites on the class require that the properties were loaded beforehand, when the request was initially retrieved. Any methods in this class that begin with the string `server` make a query to the server, and require that the `PropertyKey.DOCUMENT_ID` and `PropertyKey.DOCUMENT_TYPE` properties to be loaded beforehand. Any additional property requirements are indicated on each individual method.

See Also:
  `TaskNoticeType.REQUEST_INFO`, Serialized Form

Field Summary

Fields inherited from class com.compoze.domino.TaskNotice
`ALL_PROPS`

Fields inherited from class com.compoze.domino.AbstractItem
`m_props, m_session`

Method Summary
`void` | `serverSendInformation(java.lang.String sComment)` Hits the server and sends updated information about the assignment.

Methods inherited from class com.compoze.domino.TaskNotice
`getNoticeType, getStatusUpdate, getTitle, getTitle, getTopic`

Methods inherited from class com.compoze.domino.Task
`getChair, getDueDateTime, getDueDateTimeArray, getDueDateTimeArrayString, getDueDateTimeArrayString, getDueDateTimeString, getDueState, getInstanceType, getPrincipal, getStartDateTime, getStartDateTimeArray, getStartDateTimeArrayString, getStartDateTimeArrayString, getStartDateTimeString, isRepeating, serverCompleted, serverDelete, serverDelete, serverGetRepeatPattern, serverSetRepeatPattern, serverUpdate, serverUpdate, setDateTimes`

Methods inherited from class com.compoze.domino.Memo
`getBody, getBodyHtml, getBodyHtml, getBodyStoredFormHtml, getBodyStoredFormHtml, getDeliveredDate, getDeliveredDateString, getDeliveryPriority, getDeliveryReportLevel, getFollowUpDate, getFollowUpStatus, getFollowUpText, getImportance, getMemoDate, getMemoDateString, getNormalizedSubject, getPostedDate, getPostedDateString, getPreventCopy, getRecipientInfoArray, getReturnReceipt, getSenderInfo, getSenderName, getSubject, getSubject, getSubject, getSubject, getUnread, isEncrypted, serverForward, serverReply, serverSaveAsDraft, serverSaveAsDraft, serverSaveAsDraft, serverSaveAsDraft, serverUpdate, setBody, setBodyHtml, setDeliveryPriority, setDeliveryReportLevel, setFollowUpDate, setFollowUpStatus, setFollowUpText, setImportance, setPreventCopy, setReturnReceipt, setSubject, setUnread`

Methods inherited from class com.compoze.domino.AbstractDocument
`getAttachmentCount, getAttachmentInfo, getAttachmentInfoArray, getDateCreated, getDateCreatedString, getDateModified, getDateModifiedString, getDocumentType, getEmbeddedImageCount, getEmbeddedImageInfo, getEmbeddedImageInfoArray, getID, getParentID, getSize, getSizeInKilos, hasAttachment, serverAddAttachment, serverCopyTo, serverDeleteAttachment, serverMoveTo`

Methods inherited from class com.compoze.domino.AbstractItem
`get, getBoolean, getDate, getDateArray, getDouble, getInt, getPropertyKeys, getString, getStringArray, getUpdatedPropertyValues, set, setBoolean, setDate, setDouble, setInt, setString, setStringArray`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### serverSendInformation

    public void serverSendInformation(java.lang.String sComment)
                               throws DominoException

  Hits the server and sends updated information about the assignment.

  Parameters:
    `sComment` - the request information comment or `null` for no comment
  Throws:
    `DominoException`
  See Also:
    `PropertyKey.TOPIC`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Compoze Software, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ©1999-2003 Compoze Software, Inc. All rights reserved.